package com.glxp.mipsdl.entity.auth;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

@Data
@TableName(value = "auth_license")
public class AuthLicenseEntity {
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    @TableField(value = "appid")
    private String appid;

    @TableField(value = "`name`")
    private String name;

    @TableField(value = "apikey")
    private String apikey;

    @TableField(value = "secretkey")
    private String secretkey;

    @TableField(value = "createDate")
    private Date createDate;

    @TableField(value = "customerId")
    private String customerId;

    @TableField(value = "companyName")
    private String companyName;

    public static final String COL_ID = "id";

    public static final String COL_APPID = "appid";

    public static final String COL_NAME = "name";

    public static final String COL_APIKEY = "apikey";

    public static final String COL_SECRETKEY = "secretkey";

    public static final String COL_CREATEDATE = "createDate";

    public static final String COL_CUSTOMERID = "customerId";

    public static final String COL_COMPANYNAME = "companyName";
}