package com.glxp.mipsdl.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 医院编码配置表
 */
@Data
@TableName(value = "sys_hosp_config")
public class SysHospConfigEntity {

    /**
     * 医院编码
     */
    @TableField(value = "code")
    private String code;

    /**
     * 医院名称
     */
    @TableField(value = "name")
    private String name;

    public static final String COL_CODE = "code";

    public static final String COL_NAME = "name";
}