package com.glxp.mipsdl.entity.thrsys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "thr_corp")
public class ThrCorpEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField(value = "unitId")
    private String unitId;

    @TableField(value = "spell")
    private String spell;

    @TableField(value = "addr")
    private String addr;

    @TableField(value = "creditNo")
    private String creditNo;

    @TableField(value = "contact")
    private String contact;

    @TableField(value = "mobile")
    private String mobile;

    @TableField(value = "thirdSysFk")
    private String thirdSysFk;

    @TableField(value = "`name`")
    private String name;

    /**
     * 创建人
     */
    @TableField(value = "`createUser`")
    private String createUser;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(value = "updateUser")
    private String updateUser;

    /**
     * 更新时间
     */
    @TableField(value = "updateTime")
    private Date updateTime;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    public static final String COL_ID = "id";

    public static final String COL_UNITID = "unitId";

    public static final String COL_SPELL = "spell";

    public static final String COL_ADDR = "addr";

    public static final String COL_CREDITNO = "creditNo";

    public static final String COL_CONTACT = "contact";

    public static final String COL_MOBILE = "mobile";

    public static final String COL_THIRDSYSFK = "thirdSysFk";

    public static final String COL_NAME = "name";

    public static final String COL_CREATEUSER = "createUser";

    public static final String COL_CREATETIME = "createTime";

    public static final String COL_UPDATEUSER = "updateUser";

    public static final String COL_UPDATETIME = "updateTime";

    public static final String COL_REMARK = "remark";
}