package com.glxp.mipsdl.entity.thrsys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "thr_dept")
public class ThrDeptEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField(value = "pId")
    private Integer pId;

    @TableField(value = "code")
    private String code;

    @TableField(value = "`name`")
    private String name;

    @TableField(value = "advanceType")
    private String advanceType;

    @TableField(value = "isDefault")
    private Boolean isDefault;

    @TableField(value = "`status`")
    private Integer status;

    @TableField(value = "updateTime")
    private Date updateTime;

    @TableField(value = "remark")
    private String remark;

    @TableField(value = "`level`")
    private Integer level;

    @TableField(value = "pcode")
    private String pcode;

    @TableField(value = "thirdSysFk")
    private String thirdSysFk;

    public static final String COL_ID = "id";

    public static final String COL_PID = "pId";

    public static final String COL_CODE = "code";

    public static final String COL_NAME = "name";

    public static final String COL_ADVANCETYPE = "advanceType";

    public static final String COL_ISDEFAULT = "isDefault";

    public static final String COL_STATUS = "status";

    public static final String COL_UPDATETIME = "updateTime";

    public static final String COL_REMARK = "remark";

    public static final String COL_LEVEL = "level";

    public static final String COL_PCODE = "pcode";

    public static final String COL_THIRDSYSFK = "thirdSysFk";
}