package com.glxp.mipsdl.entity.thrsys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName(value = "thr_system_bus_api")
public class ThrSystemBusApiEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField(value = "code")
    private String code;

    @TableField(value = "`name`")
    private String name;

    /**
     * 第三方系统单据类型名称
     */
    @TableField(value = "thirdBuyName")
    private String thirdBuyName;

    /**
     * 第三方系统单据类型代码
     */
    @TableField(value = "thirdBuyCode")
    private String thirdBuyCode;

    @TableField(value = "thirdSys")
    private String thirdSys;

    @TableField(value = "url")
    private String url;

    @TableField(value = "`type`")
    private Integer type;

    @TableField(value = "remark")
    private String remark;

    /**
     * 扩展字段，暂未启用
     */
    @TableField(value = "filed")
    private String filed;

    @TableField(value = "filed1")
    private String filed1;

    @TableField(value = "filed2")
    private String filed2;

    @TableField(value = "filed3")
    private String filed3;

    @TableField(value = "filed4")
    private String filed4;

    public static final String COL_ID = "id";

    public static final String COL_CODE = "code";

    public static final String COL_NAME = "name";

    public static final String COL_THIRDBUYNAME = "thirdBuyName";

    public static final String COL_THIRDBUYCODE = "thirdBuyCode";

    public static final String COL_THIRDSYS = "thirdSys";

    public static final String COL_URL = "url";

    public static final String COL_TYPE = "type";

    public static final String COL_REMARK = "remark";

    public static final String COL_FILED = "filed";

    public static final String COL_FILED1 = "filed1";

    public static final String COL_FILED2 = "filed2";

    public static final String COL_FILED3 = "filed3";

    public static final String COL_FILED4 = "filed4";
}