package com.glxp.mipsdl.entity.thrsys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName(value = "thr_system_detail")
public class ThrSystemDetailEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField(value = "`name`")
    private String name;

    @TableField(value = "`key`")
    private String key;

    @TableField(value = "`value`")
    private String value;

    @TableField(value = "enabled")
    private Boolean enabled;

    @TableField(value = "guideUrl")
    private String guideUrl;

    @TableField(value = "remark")
    private String remark;

    @TableField(value = "thirdSysFk")
    private String thirdSysFk;

    /**
     * 是否启用接口缓存
     */
    @TableField(value = "itrCache")
    private Boolean itrCache;

    /**
     * 数据来源类型0：接口实时获取；1.文件导入；2.第三方上传缓存，4.接口本地缓存
     */
    @TableField(value = "fromType")
    private Integer fromType;

    public static final String COL_ID = "id";

    public static final String COL_NAME = "name";

    public static final String COL_KEY = "key";

    public static final String COL_VALUE = "value";

    public static final String COL_ENABLED = "enabled";

    public static final String COL_GUIDEURL = "guideUrl";

    public static final String COL_REMARK = "remark";

    public static final String COL_THIRDSYSFK = "thirdSysFk";

    public static final String COL_ITRCACHE = "itrCache";

    public static final String COL_FROMTYPE = "fromType";
}